<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog/1.9"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog/1.9
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-1.9.xsd">
					  
		<changeSet id="0001" author="saliakhov">
        <comment>create column</comment>
		<sql>
			ALTER TABLE ervu_dashboard.passport ADD COLUMN IF NOT EXISTS type_dul varchar NULL;
			COMMENT ON COLUMN ervu_dashboard.passport.type_dul IS 'Вид ДУЛ';
			
			ALTER TABLE ervu_dashboard.citizen 
			ADD COLUMN IF NOT EXISTS start_date_residence date,
			ADD COLUMN IF NOT EXISTS end_date_residence date,
			ADD COLUMN IF NOT EXISTS address_place_stay varchar,
			ADD COLUMN IF NOT EXISTS start_date_place_stay date,
			ADD COLUMN IF NOT EXISTS end_date_place_stay date,
			ADD COLUMN IF NOT EXISTS type_place_stay varchar,
			ADD COLUMN IF NOT EXISTS address_actual varchar,
			ADD COLUMN IF NOT EXISTS source_info_actual varchar,
			ADD COLUMN IF NOT EXISTS date_info_actual date,
			ADD COLUMN IF NOT EXISTS date_loss_info_actual date,
			ADD COLUMN IF NOT EXISTS country_birth varchar,
			ADD COLUMN IF NOT EXISTS fact_issuance_military_registration varchar,
			ADD COLUMN IF NOT EXISTS date_registration date,
			ADD COLUMN IF NOT EXISTS date_deregistration date,
			ADD COLUMN IF NOT EXISTS personal_data bool,
			ADD COLUMN IF NOT EXISTS grounds_exemption varchar,
			ADD COLUMN IF NOT EXISTS start_date_right date,
			ADD COLUMN IF NOT EXISTS end_date_right date,
			ADD COLUMN IF NOT EXISTS decision_number varchar,
			ADD COLUMN IF NOT EXISTS start_date_decision date,
			ADD COLUMN IF NOT EXISTS end_date_decision date,
			ADD COLUMN IF NOT EXISTS defer_conscription varchar,
			ADD COLUMN IF NOT EXISTS sign_deferred_release bool,
			ADD COLUMN IF NOT EXISTS id_ern varchar;

			COMMENT ON COLUMN ervu_dashboard.citizen.start_date_residence IS 'Дата регистрации по месту жительства';
			COMMENT ON COLUMN ervu_dashboard.citizen.end_date_residence IS 'Дата снятия с регистрации по месту жительства';
			COMMENT ON COLUMN ervu_dashboard.citizen.address_place_stay IS 'Адрес регистрации по месту пребыванния';
			COMMENT ON COLUMN ervu_dashboard.citizen.start_date_place_stay IS 'Дата регистрации по месту пребывания';
			COMMENT ON COLUMN ervu_dashboard.citizen.end_date_place_stay IS 'Дата снятия с регистрации по месту пребывания';
			COMMENT ON COLUMN ervu_dashboard.citizen.type_place_stay IS 'Тип регистрации';
			COMMENT ON COLUMN ervu_dashboard.citizen.address_actual IS 'Адрес фактического проживания';
			COMMENT ON COLUMN ervu_dashboard.citizen.source_info_actual IS 'Источник сведений о месте фактического проживания';
			COMMENT ON COLUMN ervu_dashboard.citizen.date_info_actual IS 'Дата получения сведений об адресе фактического проживания';
			COMMENT ON COLUMN ervu_dashboard.citizen.date_loss_info_actual IS 'Дата потери актуальности сведений об адресе фактического проживания';
			COMMENT ON COLUMN ervu_dashboard.citizen.country_birth IS 'Страна рождения';
			COMMENT ON COLUMN ervu_dashboard.citizen.fact_issuance_military_registration IS 'Сведения о факте выдачи документа воинского учета';
			COMMENT ON COLUMN ervu_dashboard.citizen.date_registration IS 'Дата поставновки на учет';
			COMMENT ON COLUMN ervu_dashboard.citizen.date_deregistration IS 'Дата снятия с учета';
			COMMENT ON COLUMN ervu_dashboard.citizen.personal_data IS 'Получено согласие на обработку персональных данных';
			COMMENT ON COLUMN ervu_dashboard.citizen.grounds_exemption IS 'Наличие у гражданина основания для освобождения от призыва';
			COMMENT ON COLUMN ervu_dashboard.citizen.start_date_right IS 'Дата начала действия права';
			COMMENT ON COLUMN ervu_dashboard.citizen.end_date_right IS 'Дата окончания действия права';
			COMMENT ON COLUMN ervu_dashboard.citizen.decision_number IS 'Номер решения';
			COMMENT ON COLUMN ervu_dashboard.citizen.start_date_decision IS 'Дата начала действия решения';
			COMMENT ON COLUMN ervu_dashboard.citizen.end_date_decision IS 'Дата окончания действия решения';
			COMMENT ON COLUMN ervu_dashboard.citizen.defer_conscription IS 'Наличие у гражданина основания для отсрочки от призыва';
			COMMENT ON COLUMN ervu_dashboard.citizen.id_ern IS 'Идентификатор ЕРН';
			COMMENT ON COLUMN ervu_dashboard.citizen.sign_deferred_release IS 'Признак наличия отсрочки или освобождения от призыва';
		</sql>
	</changeSet>
	
	<changeSet id="0002" author="saliakhov">
        <comment>create table</comment>
		<sql>
			CREATE TABLE IF NOT EXISTS ervu_dashboard.citizen_complex_filters (
				citizen_complex_filters_id bigserial NOT NULL,
				recruit_id uuid NOT NULL,
				children bool NULL,
				ward bool NULL,
				conscription bool NULL,
				employment varchar NULL,
				parental_leave bool NULL,
				ip bool NULL,
				self_employed bool NULL,
				education bool NULL,
				profession_female bool NULL,
				academic_leave bool NULL,
				military_center bool NULL,
				militery_department bool NULL,
				rus_diplomas bool NULL,
				foreign_diplomas bool NULL,
				diseases bool NULL,
				hiv_infection bool NULL,
				reg_pnd bool NULL,
				disability bool NULL,
				incompetent bool NULL,
				sports_categories bool NULL,
				drive_vehicle bool NULL,
				tractor_license bool NULL,
				issues_citizenship_rus bool NULL,
				reside_foreign bool NULL,
				real_estate bool NULL,
				ground_vehicles bool NULL,
				air_vehicles bool NULL,
				water_vehicles bool NULL,
				deputies bool NULL,
				candidates_participate bool NULL,
				criminal_prosecution bool NULL,
				verdict bool NULL,
				places_deprivation bool NULL,
				criminal_record varchar NULL,
				"search" bool NULL,
				appealing_fz_53 bool NULL,
				CONSTRAINT pk_citizen_complex_filters PRIMARY KEY (citizen_complex_filters_id)
			);
			ALTER TABLE IF EXISTS ervu_dashboard.citizen_complex_filters OWNER to "ervu-dashboard";
			COMMENT ON TABLE ervu_dashboard.citizen_complex_filters IS 'сведения о гражданине - сложные фильтры';

			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.recruit_id IS 'ссылка на гражданина (citizen)';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.children IS 'Сведения о наличии у гражданина несовершеннолетних детей';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.ward IS 'Сведения об опекаемом';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.conscription IS 'Сведения об отсрочке или освобождении от призыва';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.employment IS 'Информация о трудовой деятельности';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.parental_leave IS 'Сведения о нахождении в отпуске по уходу за ребенком';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.ip IS 'Индивидуальный предприниматель';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.self_employed IS 'Самозанятый';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.education IS 'Сведения об образовании';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.profession_female IS 'Сведения о получении профессии, специальности, при наличии которых граждане женского поля получают военно-учётные специальности';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.academic_leave IS 'Сведения об академическом отпуске';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.military_center IS 'Сведения об обучении в военно-учебном центре';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.militery_department IS 'Сведения об обучении на военной кафедре';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.rus_diplomas IS 'Российские дипломы/аттестаты';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.foreign_diplomas IS 'Иностранные дипломы / аттестаты';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.diseases IS 'Сведения о наличии заболевания (состояния)';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.hiv_infection IS 'Сведения о гражданах, состоящих на учете по поводу инфицирования ВИЧ';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.reg_pnd IS 'Сведения о гражданах, состоящих на учете в ПНД';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.disability IS 'Сведения об инвалидности';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.incompetent IS 'Сведения о гражданах, признанных недееспособными, ограниченно дееспособными';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.sports_categories IS 'Сведения о присвоении спортивных разрядов и званий';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.drive_vehicle IS 'Сведения о праве управления транспортным средством';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.tractor_license IS 'Удостоверение тракториста-машиниста';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.issues_citizenship_rus IS 'Сведения о принятии решений по вопросам гражданства Российской Федерации';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.reside_foreign IS 'Наличие права проживания в иностранном государстве';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.real_estate IS 'Недвижимость';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.ground_vehicles IS 'Наземные транспортные средства';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.air_vehicles IS 'Воздушные транспортные средства';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.water_vehicles IS 'Водные транспортные средства';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.deputies IS 'Граждане, избранные депутатами';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.candidates_participate IS 'Граждане, зарегистрированные кандидатами на участие в выборах';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.criminal_prosecution IS 'Сведения о факте уголовного преследования либо о прекращении уголовного преследования';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.verdict IS 'Сведения о вынесенном приговоре';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.places_deprivation IS 'Признак отбывания наказания в местах лишения свободы';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.criminal_record IS 'Сведения о судимости';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters."search" IS 'Сведения о розыске';
			COMMENT ON COLUMN ervu_dashboard.citizen_complex_filters.appealing_fz_53 IS 'Обжалование нарушений ФЗ-53';
		</sql>
	</changeSet>
</databaseChangeLog>